MailcrateDocs
Inbound

List inbound messages

GET
/public/inbound-messages

Requires the inbound:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Query Parameters

contactId?string
query?string
limit?integer
Range1 <= value <= 500
Default50
offset?integer
Range0 <= value
Default0
page?integer
Range1 <= value
sortBy?string
sortOrder?string
Value in"ASC""DESC"

Response Body

A page of results.

application/json
  1. response
data*array<>
total*integer

Matches across all pages.

limit*integer
offset*integer

The offset actually applied, also when you paginated with page.

Example Request
curl -X GET 'https://api.mailcrate.io/public/inbound-messages' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "data": [    {      "id": "string",      "status": "string",      "contactId": "string",      "inboundAddressId": "string",      "fromAddress": "string",      "toAddress": "string",      "originalRecipient": "string",      "subject": "string",      "messageId": "string",      "inReplyTo": "string",      "references": [        "string"      ],      "inReplyToDeliveryId": "string",      "inReplyToInboundMessageId": "string",      "threadRootId": "string",      "threadRootType": "delivery",      "spamVerdict": "string",      "virusVerdict": "string",      "dmarcVerdict": "string",      "isAutoReply": true,      "receivedAt": "2019-08-24T14:15:22Z",      "parsedAt": "2019-08-24T14:15:22Z",      "storageExpiresAt": "2019-08-24T14:15:22Z",      "bodyText": "string",      "bodyHtml": "string",      "bodyTextStripped": "string",      "bodyHtmlStripped": "string",      "attachments": [        {          "id": "string",          "filename": "string",          "contentType": "string",          "size": 0        }      ]    }  ],  "total": 0,  "limit": 0,  "offset": 0}